#include "MenuTextCancel_Player2Keyboard.h"

InputSetting_Keyboard* MenuTextCancel_Player2Keyboard::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player2Keyboard ? gameFunc->GetInputSetting_Player2Keyboard() : nullptr;
}

SDL_Scancode* MenuTextCancel_Player2Keyboard::GetBind(InputSetting_Keyboard* setting)
{
	return &setting->op_cancel;
}

std::shared_ptr<Entity> CreateMenuTextCancel_Player2Keyboard()
{
	return std::make_shared<MenuTextCancel_Player2Keyboard>();
}


